你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

验证群集升级

验证和评估Service Fabric群集的代码或配置版本更新的影响。

验证提供的升级参数,并评估Service Fabric群集的代码或配置版本升级的预期影响。 不会启动升级。

请求

方法 请求 URI
POST /$/ValidateUpgrade?api-version=8.2&timeout={timeout}

参数

名称 类型 必需 位置
api-version string 查询
timeout integer (int64) 查询
StartClusterUpgradeDescription StartClusterUpgradeDescription “是” Body

api-version

类型:字符串
必需:是
默认

API 的版本。 此参数是必需的,其值必须为“8.2”。

Service Fabric REST API 版本基于引入或更改 API 的运行时版本。 Service Fabric运行时支持多个版本的 API。 此版本是 API 的最新支持版本。 如果传递了较低的 API 版本,则返回的响应可能与此规范中所述的响应不同。

此外,运行时接受高于最新支持版本的任何版本,最高接受当前版本的运行时。 因此,如果最新的 API 版本为 6.0 且运行时为 6.1,则运行时将接受该 API 的版本 6.1。 但是,API 的行为将按照所记录的 6.0 版本进行。


timeout

类型:整数 (int64)
必需:否
默认
InclusiveMaximum4294967295
InclusiveMinimum1

执行操作的服务器超时,以秒为单位。 此超时指定客户端可以等待请求的操作完成的持续时间。 此参数的默认值为 60 秒。


StartClusterUpgradeDescription

类型StartClusterUpgradeDescription
必需:是

描述启动群集升级的参数。

响应

HTTP 状态代码 说明 响应架构
200 (正常) 成功的响应意味着群集代码或配置升级具有有效的参数。 响应正文描述升级的评估预期影响。
ValidateClusterUpgradeResult
所有其他状态代码 详细的错误响应。
FabricError